<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:background="@drawable/bg_deal"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/toolbar_light"/>

    <LinearLayout
        android:layout_below="@id/toolbar"
        android:id="@+id/llheader"
        android:orientation="vertical"
        android:layout_marginLeft="@dimen/dimen_2x"
        android:layout_marginRight="@dimen/dimen_2x"
        android:layout_marginTop="@dimen/dimen_1x"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:visibility="gone"
            android:padding="@dimen/dimen_2x"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_radius_top_red"
            android:orientation="vertical">

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:id="@+id/lbl_deal_name_chat"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:text="Massage Body Massage Body"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                android:id="@+id/lbl_address"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dimen_1x"
                android:drawableLeft="@drawable/ic_location_on_white"
                android:drawablePadding="@dimen/dimen_1x"
                android:gravity="center_vertical"
                android:text="17 Phung chi kien, Cau Giay, Ha Noi"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_xnormal" />
        </LinearLayout>

        <RelativeLayout
            android:background="@drawable/bg_radius_bottom_white"
            android:visibility="gone"
            android:id="@+id/rl_customer"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_9x">

            <androidx.viewpager.widget.ViewPager
                android:id="@+id/view_pager"
                android:layout_width="match_parent"
                android:layout_height="match_parent">
            </androidx.viewpager.widget.ViewPager>

            <me.relex.circleindicator.CircleIndicator
                android:layout_marginBottom="@dimen/dimen_1x"
                android:layout_alignParentBottom="true"
                app:ci_drawable="@drawable/indicator_drawble"
                android:id="@+id/circle_indicator"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_2x">

            </me.relex.circleindicator.CircleIndicator>
        </RelativeLayout>


        <LinearLayout
            android:id="@+id/rl_author"
            android:visibility="visible"
            android:background="@drawable/bg_radius_bottom_white"
            android:layout_below="@+id/rl_image"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <include layout="@layout/layout_child_about_of_deal"/>

        </LinearLayout>
    </LinearLayout>

    <RelativeLayout
        android:layout_above="@+id/rlt_chat"
        android:layout_marginLeft="@dimen/dimen_2x"
        android:layout_marginRight="@dimen/dimen_2x"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/llheader"
        android:layout_centerHorizontal="true">

        <se.emilsjolander.stickylistheaders.StickyListHeadersListView
            android:id="@+id/list_chat_messages"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:padding="@dimen/dimen_1x"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true" />

        <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
            android:id="@+id/lbl_tell_user"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginLeft="@dimen/dimen_1x"
            android:layout_marginRight="@dimen/dimen_1x"
            android:gravity="center_horizontal"
            android:text="@string/msg_tell_user_about_chat_screen"
            android:textColor="@color/textColorPrimary"
            android:textSize="@dimen/text_size_large"
            android:visibility="gone" />




    </RelativeLayout>

    <View
        android:visibility="gone"
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_divider"
        android:layout_above="@+id/rlt_chat"
        android:background="@color/colorAccent" />

    <RelativeLayout
        android:id="@+id/rlt_chat"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="1dp"
        android:layout_alignParentBottom="true">

        <include
            layout="@layout/layout_action_and_input_message"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true" />

        <!--<EditText
            android:id="@+id/txt_message"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/img_send"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:background="@color/transparent"
            android:hint="@string/write_a_message"
            android:imeOptions="actionDone"
            android:inputType="textCapSentences"
            android:maxLength="500"
            android:paddingBottom="@dimen/dimen_2x"
            android:paddingLeft="@dimen/dimen_2x"
            android:paddingRight="@dimen/dimen_05x"
            android:paddingTop="@dimen/dimen_2x"
            android:textColor="@color/textColorPrimary"
            android:textSize="@dimen/text_size_normal" />

        <ImageView
            android:id="@+id/img_send"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentRight="true"
            android:layout_marginBottom="@dimen/dimen_1x"
            android:layout_marginRight="@dimen/dimen_1x"
            android:layout_marginTop="@dimen/dimen_1x"
            android:contentDescription="@string/app_name"
            android:src="@drawable/ic_send_red" />-->
    </RelativeLayout>

    <RelativeLayout
        android:visibility="gone"
        android:id="@+id/rlt_action"
        android:layout_width="match_parent"
        android:layout_height="@dimen/large_icon"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="@dimen/dimen_2x"
        android:layout_marginLeft="@dimen/dimen_2x"
        android:layout_marginRight="@dimen/dimen_2x">

        <ImageView
            android:id="@+id/img_reviews"
            android:layout_width="@dimen/normal_icon"
            android:layout_height="@dimen/normal_icon"
            android:layout_alignParentBottom="true"
            android:layout_toLeftOf="@+id/img_deal"
            android:layout_toStartOf="@+id/img_deal"
            android:contentDescription="@string/app_name"
            android:src="@drawable/ic_review" />

        <ImageView
            android:id="@+id/img_deal"
            android:layout_width="@dimen/large_icon"
            android:layout_height="match_parent"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="@dimen/dimen_2x"
            android:layout_marginRight="@dimen/dimen_2x"
            android:contentDescription="@string/app_name"
            android:src="@drawable/ic_deal" />

        <ImageView
            android:id="@+id/img_no_deal"
            android:layout_width="@dimen/normal_icon"
            android:layout_height="@dimen/normal_icon"
            android:layout_alignParentBottom="true"
            android:layout_toEndOf="@+id/img_deal"
            android:layout_toRightOf="@+id/img_deal"
            android:contentDescription="@string/app_name"
            android:src="@drawable/ic_no_deal" />
    </RelativeLayout>


</RelativeLayout>